import * as React from 'react';
import { BaseFieldProps } from '../../common/interfaces/CommonProps';
export interface PopupTextareaProps extends BaseFieldProps {
    defaultValue?: string;
    buttonLabel: string;
    buttonColor?: string;
    modalClassName?: string;
    modalTitle: any;
    modalBody: string;
    cancelButtonText: string;
    doneButtonText: string;
}
export interface PopupTextareaState {
    isOpen: boolean;
}
export declare class PopupTextarea extends React.Component<PopupTextareaProps, any> {
    static defaultProps: {
        buttonColor: string;
    };
    constructor(props: PopupTextareaProps);
    toggle: () => void;
    render(): JSX.Element;
}
