import * as React from 'react';
import FormComponent from '../FormComponent';
import { BaseFieldProps } from '../../common/interfaces/CommonProps';
export declare const RADIO_BUTTONS_DIRECTIONS: {
    HORIZONTAL: string;
    VERTICAL: string;
};
export interface RadioButtonsProps {
    options: string[];
    noLabel?: boolean;
    label?: string | {
        htmlFor: string;
        value: any;
    };
    value?: string;
    onChange: (value: string) => void;
    direction?: "horizontal" | "vertical";
}
export default class RadioButtonsBS extends React.Component<RadioButtonsProps, any> {
    static defaultProps: {
        direction: string;
    };
    render(): JSX.Element;
}
export declare type RadioButtonsFormProps = RadioButtonsProps & BaseFieldProps;
export declare class RadioButtons extends FormComponent<RadioButtonsFormProps> {
    render(): JSX.Element;
}
