import * as React from 'react';
import { BaseFieldProps } from '../../common/interfaces/CommonProps';
import FormComponent from '../FormComponent';
export interface InputProps {
    type: string;
    value?: any;
    addons?: {
        prepend: string[];
        append: string[];
    };
    onChange: (event: React.ChangeEvent<HTMLInputElement>) => void;
    onBlur?: ((event: React.FocusEvent<HTMLInputElement>) => void) | undefined;
    noLabel?: boolean;
    label?: string | {
        htmlFor: string;
        value: any;
    };
    className?: string;
}
export default class InputBS extends React.Component<InputProps, any> {
    affixData: (data: string[], type: "prepend" | "append") => JSX.Element | null;
    render(): JSX.Element;
}
export declare type InputFormType = InputProps & BaseFieldProps;
export declare class Input extends FormComponent<InputFormType> {
    constructor(props: InputFormType, state: any);
    handleOnChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    render(): JSX.Element;
}
